Subject: Re: bug#18101: gccgo fails to build (all platforms)

From: Mark H Weaver <[email-masked]>
Date: Thu, 31 Jul 2014 18:30:12 -0400

Mark H Weaver <[email-masked]> writes:

> At the very end of the builds for gccgo, there is an error:
>
>   cycle detected in the references of `/gnu/store/*-gccgo-4.8.3-lib'
>
> and that causes the build to fail.
>
> I wonder if this is fallout from when the gcc packages had their libs
> split into a different output.  Maybe the "lib" and "out" outputs of
> gccgo reference each other, and perhaps this is a problem?

I fixed this by suppressing the separate "lib" output in gccgo, commit
c4df90a594672042ae106730ab5ce07fe85cf46f.  Closing this bug.

      Mark